
#include <lubishev/Common.h>

#include <cstdio>
#include <ctime>

namespace lubishev {

QString secondsToString(u32 s) {
    u32 h = s / 3600;
    s -= h * 3600;
    u8 m = s / 60;
    if (h)
        return QString("%1:%2").arg(h).arg(m, 2, 10, QChar('0'));
    return QString("%1").arg(m);
}

void setColor(QPainter &p, const QColor &color) {
    QPen pen = p.pen();
    pen.setColor(color);
    p.setPen(pen);
    QBrush brush = p.brush();
    brush.setColor(color);
    p.setBrush(brush);
}

void setFontSize(QPainter &p, s32 size) {
    QFont font = p.font();
    font.setPointSize(size);
    p.setFont(font);
}

QString timeToString(time_t t) {
    struct tm * ti = localtime(&t);
    return QString("%1:%2").arg(ti->tm_hour, 2, 10, QChar('0'))
                           .arg(ti->tm_min, 2, 10, QChar('0'));
}

QString vaToStr(const char *fmt, ...) {
    va_list args;
    char msg[LUBISHEV_MAX_STRLEN];
    va_start(args, fmt);
    vsnprintf(msg, LUBISHEV_MAX_STRLEN, fmt, args);
    va_end(args);
    return msg;
}

} // namespace lubishev

